Package org.apache.cayenne.access.translator.batch.legacy

# Class DeleteBatchTranslator

java.lang.Object
org.apache.cayenne.access.translator.batch.legacy.DefaultBatchTranslator
org.apache.cayenne.access.translator.batch.legacy.DeleteBatchTranslator

All Implemented Interfaces:
  `BatchTranslator`

Direct Known Subclasses:
  `SoftDeleteBatchTranslator`

@Deprecated public class DeleteBatchTranslator extends DefaultBatchTranslator
Deprecated.
since 4.2
Translator for delete BatchQueries. Creates parameterized DELETE SQL statements.

- ## Field Summary

  ### Fields inherited from class org.apache.cayenne.access.translator.batch.legacy.DefaultBatchTranslator

  `adapter, bindings, query, sql, translated, trimFunction`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeleteBatchTranslator(DeleteBatchQuery query, DbAdapter adapter, String trimFunction)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `applyQualifier(StringBuilder buffer)`
  Deprecated.
  Appends WHERE clause to SQL string
  `protected DbAttributeBinding[]`
  `createBindings()`
  Deprecated.
  `protected String`
  `createSql()`
  Deprecated.
  `protected DbAttributeBinding[]`
  `doUpdateBindings(BatchQueryRow row)`
  Deprecated.

  ### Methods inherited from class org.apache.cayenne.access.translator.batch.legacy.DefaultBatchTranslator

  `appendDbAttribute, ensureTranslated, getBindings, getSql, updateBindings`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DeleteBatchTranslator

    public DeleteBatchTranslator(DeleteBatchQuery query, DbAdapter adapter, String trimFunction)
    Deprecated.

- ## Method Details

  - ### createSql

    protected String createSql()
    Deprecated.
    Specified by:
      `createSql` in class `DefaultBatchTranslator`

  - ### applyQualifier

    protected void applyQualifier(StringBuilder buffer)
    Deprecated.
    Appends WHERE clause to SQL string

  - ### createBindings

    protected DbAttributeBinding[] createBindings()
    Deprecated.
    Specified by:
      `createBindings` in class `DefaultBatchTranslator`

  - ### doUpdateBindings

    protected DbAttributeBinding[] doUpdateBindings(BatchQueryRow row)
    Deprecated.
    Specified by:
      `doUpdateBindings` in class `DefaultBatchTranslator`